
//THE FOLLOWING PROGRAMS ARE NEEDED:

* REGHDFE: module to perform linear or instrumental-variable regression absorbing any number of high-dimensional fixed effects
* COEFPLOT: module to plot regression coefficients and other results 
* grc1leg:  Combine graphs into one graph with a common legend.
* OUTREG2: module to arrange regression outputs into an illustrative table
* RDROBUST: for rdplots
* IVREGHDFE: module for extended instrumental variable regressions with multiple levels of fixed effects

clear
capture log close
set more off

//SET GLOBAL PATH TO REPLICATION FOLDER:
*global root "C:\Users\jbn102\Dropbox\Current_work\London_temperature\replication_files"
global root "C:\Users\walke\Dropbox\London_temperature\replication_files"

*** Generate tables for main text
foreach i in table1 table2 table3 {
do "$root\do_files\\`i'"
clear
}

*** Generate figures for main text
foreach i in figure1 figure2 figure3 figure4 figure5 figure6 figure7 {
do "$root\do_files\\`i'"
clear
}

*** Generate appendix figures
forval i = 1/24 {
do "$root\do_files\appendix_figure`i'"
clear
}

*** Generate appendix tables
forval i = 1/3 {
do "$root\do_files\appendix_table`i'"
clear
}







