//SET GLOBAL PATH TO REPLICATION FOLDER:
*global root "C:\Users\jbn102\Dropbox\Current_work\London_temperature\replication_files"
global root "C:\Users\walke\Dropbox\London_temperature\replication_files"

//INLOAD MAIN DATA (constructed in "combine_datasets.do")
use "$root\intermediate_datasets\main_data.dta", clear 

//SET OUTPUT FOLDER
cd "$root\results\table_1"

************* 

gen all_years=1
gen preWWI=0
replace preWWI=1 if year<1915
gen interwar=0
replace interwar=1 if year>1914 & year<1940
gen postWWII=0
replace postWWII=1 if year>1940 & year<1970

collapse (sum) all_years preWWI interwar postWWII, by(extreme_quantile)
outsheet using "Table1.csv", comma names replace


