//INLOAD MAIN DATA (constructed in "combine_datasets.do")
use "$root\intermediate_datasets\main_data.dta", clear 

//SET OUTPUT FOLDER
cd "$root\results\appendix_figure1"

//APPENDIX FIGURE A.1: DISTRIBUTIONS OF WEEKLY MINIMUM AND MAXIMUM TEMPERATURES
twoway (histogram oxford_min_temp, bcolor(dknavy) color(dknavy%50) legend(off) ) (histogram oxford_max_temp, graphregion(fcolor(white)) bcolor(gray) color(gray%50) legend(off)  ) 
graph export "Figure1A.pdf", replace as(pdf)
